## org.apache.hadoop.streaming
Class PipeMapRunner<K1,V1,K2,V2>

    java.lang.Object
      org.apache.hadoop.mapred.MapRunner<K1,V1,K2,V2>
          org.apache.hadoop.streaming.PipeMapRunner<K1,V1,K2,V2>

All Implemented Interfaces:
  JobConfigurable, MapRunnable<K1,V1,K2,V2>

    public class PipeMapRunner<K1,V1,K2,V2>

extends MapRunner<K1,V1,K2,V2>

Constructor Summary
`PipeMapRunner()`

Method Summary
`void` `run(RecordReader<K1,V1> input, OutputCollector<K2,V2> output, Reporter reporter)` Start mapping input `<key, value>` pairs.

Methods inherited from class org.apache.hadoop.mapred.MapRunner
`configure, getMapper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipeMapRunner

    public PipeMapRunner()

Method Detail

### run

    public void run(RecordReader<K1,V1> input,
                    OutputCollector<K2,V2> output,
                    Reporter reporter)
             throws IOException

  Description copied from interface: `MapRunnable`
  Start mapping input `<key, value>` pairs.

  Mapping of input records to output records is complete when this method returns.

  Specified by:
    `run` in interface `MapRunnable<K1,V1,K2,V2>`
  Overrides:
    `run` in class `MapRunner<K1,V1,K2,V2>`
  Parameters:
    `input` - the `RecordReader` to read the input records.
    `output` - the `OutputCollector` to collect the outputrecords.
    `reporter` - `Reporter` to report progress, status-updates etc.
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation